Support

Create, read, update, and delete apps.

GET
/apps

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one at the developer portal. Pass as: Authorization: Bearer . Each operation requires a specific scope — select the scopes your integration needs when creating the token.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/apps"
{  "apps": [    {      "id": "string",      "name": "string",      "status": "string",      "createdAt": "string",      "updatedAt": "string",      "urls": {        "preview": "string",        "publish": "string"      },      "variants": [        {          "name": "string",          "status": "string"        }      ]    }  ]}
POST
/apps

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one at the developer portal. Pass as: Authorization: Bearer . Each operation requires a specific scope — select the scopes your integration needs when creating the token.

In: header

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com/apps" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "job": {    "id": "string",    "status": "pending"  }}
GET
/apps/jobs/{jobId}

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one at the developer portal. Pass as: Authorization: Bearer . Each operation requires a specific scope — select the scopes your integration needs when creating the token.

In: header

Path Parameters

jobId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/apps/jobs/string"
{  "job": {    "id": "string",    "status": "pending"  },  "app": {    "id": "string",    "name": "string",    "status": "string",    "createdAt": "string",    "updatedAt": "string",    "urls": {      "preview": "string",      "publish": "string"    },    "variants": [      {        "name": "string",        "status": "string"      }    ],    "variantsWithLifecycle": [      {        "variant": "string",        "status": "string",        "lifecycleState": "string"      }    ]  }}
GET
/apps/{appId}

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one at the developer portal. Pass as: Authorization: Bearer . Each operation requires a specific scope — select the scopes your integration needs when creating the token.

In: header

Path Parameters

appId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/apps/string"
{  "app": {    "id": "string",    "name": "string",    "status": "string",    "createdAt": "string",    "updatedAt": "string",    "urls": {      "preview": "string",      "publish": "string"    },    "variants": [      {        "name": "string",        "status": "string"      }    ],    "variantsWithLifecycle": [      {        "variant": "string",        "status": "string",        "lifecycleState": "string"      }    ]  }}
PATCH
/apps/{appId}

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one at the developer portal. Pass as: Authorization: Bearer . Each operation requires a specific scope — select the scopes your integration needs when creating the token.

In: header

Path Parameters

appId*string

Request Body

application/json

At least one of name or rootPath must be provided.

Properties1 <= properties

Response Body

application/json

application/json

curl -X PATCH "https://example.com/apps/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "app": {    "id": "string",    "name": "string",    "status": "string",    "createdAt": "string",    "updatedAt": "string",    "urls": {      "preview": "string",      "publish": "string"    },    "variants": [      {        "name": "string",        "status": "string"      }    ],    "variantsWithLifecycle": [      {        "variant": "string",        "status": "string",        "lifecycleState": "string"      }    ]  }}
DELETE
/apps/{appId}

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one at the developer portal. Pass as: Authorization: Bearer . Each operation requires a specific scope — select the scopes your integration needs when creating the token.

In: header

Path Parameters

appId*string

Response Body

application/json

curl -X DELETE "https://example.com/apps/string"
Empty

Agent & Automation Notes

Scopeshosting.paas.apps:read, hosting.paas.apps:create, hosting.paas.apps:update, hosting.paas.apps:delete, hosting.paas.code:write, hosting.paas.deploy:execute, hosting.paas.secrets:write, hosting.paas.logs:read
Rate limit10–120 req/min per client IP depending on operation
On failureCreate app returns 202 with a job. Poll GET /apps/jobs/{jobId} until active or failed. Upload and publish return 200 with a job or deployment record. Poll the matching status endpoint until complete. GET operations are safe to retry. Do not resubmit writes without checking current state.

Last updated on

How is this guide?